summaryrefslogtreecommitdiff
path: root/.github/workflows/runEmulatorTests.sh
diff options
context:
space:
mode:
authorByteHamster <info@bytehamster.com>2022-01-15 17:22:15 +0100
committerByteHamster <info@bytehamster.com>2022-01-15 21:05:23 +0100
commit876042038f52c8e0e74950e3cb4f03f660375752 (patch)
tree96191cfaee25cca0ffc79f3319ea4142d1f7d790 /.github/workflows/runEmulatorTests.sh
parentba17dd53f855ad55b2152325598a9e4adf9e9e28 (diff)
downloadAntennaPod-876042038f52c8e0e74950e3cb4f03f660375752.zip
Run tests on GitHub Actions instead of CircleCI
Diffstat (limited to '.github/workflows/runEmulatorTests.sh')
-rw-r--r--.github/workflows/runEmulatorTests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.github/workflows/runEmulatorTests.sh b/.github/workflows/runEmulatorTests.sh
new file mode 100644
index 000000000..ee7a42e0a
--- /dev/null
+++ b/.github/workflows/runEmulatorTests.sh
@@ -0,0 +1,12 @@
+#!/bin/zsh
+
+set -o pipefail
+
+runTests() {
+ ./gradlew connectedPlayDebugAndroidTest \
+ -Pandroid.testInstrumentationRunnerArguments.notAnnotation=de.test.antennapod.IgnoreOnCi \
+ | grep -v "V/InstrumentationResultParser: INSTRUMENTATION_STATUS"
+}
+
+# Retry tests to make them less flaky
+runTests || runTests || runTests